Bug 1343250 - mouse events go to cinnamon panel while in full screen mode
Summary: mouse events go to cinnamon panel while in full screen mode
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: x2goclient
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1345901
TreeView+ depends on / blocked
 
Reported: 2016-06-06 23:37 UTC by Stuart D Gathman
Modified: 2016-06-27 20:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1345901 (view as bug list)
Environment:
Last Closed: 2016-06-27 20:26:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Stuart D Gathman 2016-06-06 23:37:20 UTC
Description of problem:
While in full screen, mouse events that are over the (invisible) cinnamon panel do not reach x2goclient, and are processed by the cinnamon panel instead.

Version-Release number of selected component (if applicable):
x2goclient-4.0.5.1-1.fc24.x86_64
cinnamon-3.0.5-2.fc24.x86_64

How reproducible:
always

Steps to Reproduce:
1. put x2goclient in full screen mode
2. click on where a cinnamon panel launcher would be if you could see it
3.

Actual results:
Cinnamon sees the mouse click instead of x2goclient

Expected results:
Normal full screen operation

Additional info:
I have the cinnamon panel at the top of the screen, and the remote desktop is F23 MATE with panel at the top.  This worked fine in F22. 

Other application windows underneath x2goclient don't seem to capture the mouse events.

Comment 1 Orion Poplawski 2016-06-13 15:15:18 UTC
Have you asked about this on the X2Go list?  That would be my suggestion.

Comment 2 Stuart D Gathman 2016-06-13 16:31:33 UTC
The x2goclient version is the same on F22 and F24.  The bug follows the new cinnamon version.

Comment 3 Stuart D Gathman 2016-06-13 16:32:33 UTC
I will find and try another full screen app to confirm.

Comment 4 Stuart D Gathman 2016-06-13 16:40:16 UTC
Putting Parole Media player in full screen mode does not exhibit the problem, so while not ruling out cinnamon, I will concentrate on x2goclient.

Comment 5 Stuart D Gathman 2016-06-13 18:13:33 UTC
Running in MATE, on F22, F23, or F24, the top of the remote DE initially displays the local MATE panel, although mouse events go to the remote desktop (the opposite of the bug with cinnamon as local DE).  After minimizing and restoring x2goclient, the top of the remote DE displays correctly.

Comment 6 Stuart D Gathman 2016-06-27 20:26:17 UTC
Workaround: In Cinnamon General Preferences, turn on "disable compositing for full screen windows".  This makes x2goclient and other full screen apps work.  The bug appears to be in cinnamon: bug#1345901


Note You need to log in before you can comment on or make changes to this bug.